Skip to content
payrocdevelopers

List ACH deposit fees

Browse API reference

GET/ach-deposit-feesgetAchDepositFees

Retrieve a list of ACH deposit fees.

Important: You must provide a value for either the 'date' query parameter or the 'achDepositId' query parameter.

Parameters

NameInTypeDescription
beforequerystring

Return the previous page of results before the value that you specify.

You can’t send the before parameter in the same request as the after parameter.

afterquerystring

Return the next page of results after the value that you specify.

You can’t send the after parameter in the same request as the before parameter.

limitqueryinteger

Limit the maximum number of results that we return for each page.

datequerystring

Date to retrieve results from. You must provide either the 'achDepositId' or the 'date'.

achDepositIdqueryinteger

Unique identifier of the ACH deposit. You must provide either the 'achDepositId' or the 'date'.

merchantIdquerystring

Filter results by the unique identifier that the processor assigned to the merchant.

Responses

Successful request. Returns a paginated list of ACH deposit fees.

200 OK · application/json
{
  "count": 0,
  "data": [],
  "hasMore": false,
  "limit": 10,
  "links": []
}
Response schema · 20 of 26 fields
  • countinteger
    Number of results we returned on this page. Note: This might not be the total number of results that match your query.
  • hasMoreboolean
    Indicates whether there is another page of results available.
  • limitinteger
    Maximum number of results that we return for each page.
  • linksobject[]
    Reference links to navigate to the previous page of results or to the next page of results.
    • hrefstringrequired
      URL of the target resource.
    • methodstringrequired
      HTTP method that you need to use with the target resource.
    • relstringrequired
      Indicates the relationship between the current resource and the target resource.
  • dataobject[]required
    Array of ACH deposit objects.
    • achDepositobject
      Object that contains information about the ACH deposit.
      • achDepositIdinteger
        Unique identifier of the ACH deposit.
      • linkobject
        Object that contains HATEOAS links for the resource.+3 more fields at deeper levels — see the full spec
    • adjustmentDatestringdate
      Date of the adjustment. The format of this value is YYYY-MM-DD.
    • amountinteger
      Total value of ACH deposit fee.
    • associationDatestringdate
      Date that we sent the transaction to the cards brands for clearing. The format of this value is YYYY-MM-DD.
    • descriptionstring
      Description of the ACH deposit fee.
    • merchantobject
      Object that contains information about the merchant.
      • doingBusinessAsstring
        Trading name of the business.
      • linkobject
        Object that contains HATEOAS links for the resource.+3 more fields at deeper levels — see the full spec
      • merchantIdstring
        Unique identifier that the processor assigned to the merchant.
      • processingAccountIdinteger
        Unique identifier that we assigned to the processing account.

Used in workflows

Search documentation

API reference169
Guides118
Knowledge38
legal1
Solutions32
Workflows74
↑↓highlight↵openView all search results

Menu

Theme

Sign out

Your saved plans remain in your organization. This browser’s private draft and account view will be cleared.

Talk to an engineer